Bug 400111 - sos incorrectly reports cluster data in SMP machine
sos incorrectly reports cluster data in SMP machine
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sos (Show other bugs)
4.6
All Linux
low Severity low
: ---
: ---
Assigned To: Bryn M. Reeves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 15:44 EST by Harry Sutton
Modified: 2012-06-20 09:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:23:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport output from an SMP system (1.36 MB, application/x-bzip)
2007-11-26 15:52 EST, Harry Sutton
no flags Details
sos report output from the unpdated package (1.62 MB, application/x-bzip)
2007-12-07 22:05 EST, Harry Sutton
no flags Details

  None (edit)
Description Harry Sutton 2007-11-26 15:44:50 EST
Description of problem:
Mis-reports cluster status

Version-Release number of selected component (if applicable):


How reproducible:
Run sosreport on a clustered system running with the SMP kernel

Steps to Reproduce:
1.
2.
3.
  
Actual results:
cluster:
    * required package is missing: dlm-kernel
    * required package is missing: cman-kernel
    * required package is missing: GFS-kernel
    * service cman is not started in default runlevel
    * service ccsd is not started in default runlevel
    * service rgmanager is not started in default runlevel
    * service fenced is not started in default runlevel
    * service gfs is not started in default runlevel
    * service clvmd is not started in default runlevel

Truncated output of "rpm -qa | grep kernel":

dlm-kernel-smp-2.6.9-46.16.0.12
cman-kernel-smp-2.6.9-53.5
GFS-kernel-smp-2.6.9-75.9

Truncated output of "chkconfig --list":

cman            0:off   1:off   2:on    3:on    4:on    5:on    6:off
ccsd            0:off   1:off   2:on    3:on    4:on    5:on    6:off
rgmanager       0:off   1:off   2:on    3:on    4:on    5:on    6:off
fenced          0:off   1:off   2:on    3:on    4:on    5:on    6:off
gfs             0:off   1:off   2:on    3:on    4:on    5:on    6:off
clvmd           0:off   1:off   2:on    3:on    4:on    5:on    6:off

Finally, output of "clustat":

[root@worf ~]# clustat
Member Status: Quorate

  Member Name                              Status
  ------ ----                              ------
  worf                                     Online, Local, rgmanager
  kira                                     Online, rgmanager
  jadzia                                   Online, rgmanager

  Service Name         Owner (Last)                   State         
  ------- ----         ----- ------                   -----         
  ds9-web              kira                           started         
  ds9                  worf                           started         
  ds9-nfs              kira                           started         
[root@worf ~]# 

Expected results:
Correctly detect and report SMP kernel cluster packages; correctly detect and
report cluster services starting in the correct runlevels

Additional info:
Comment 1 Harry Sutton 2007-11-26 15:52:30 EST
Created attachment 269281 [details]
sosreport output from an SMP system

This is the output from the sosreport run that generated the erroneous plugin
error messages I included above.
Comment 2 Navid Sheikhol-Eslami 2007-12-06 04:18:26 EST
Harry,

thank you very much for reporting this problem. I have now simplified the kernel
module detection code which seems to work well in the scenarios I have tested.

Can you please try the following package and let me know if it behaves correctly:

 http://people.redhat.com/neslami/sos/sos-1.8-0pre2.el4.noarch.rpm

Regards,

-- Navid
Comment 3 Harry Sutton 2007-12-07 22:05:08 EST
Created attachment 281841 [details]
sos report output from the unpdated package
Comment 4 Harry Sutton 2007-12-07 22:16:30 EST
Thanks, Navid -  I've attached an updated sos report output from the same
system. As you can see, the original problem is fixed, but a new one has
appeared. The tool now incorrectly grumbles that /etc/openldap/cacerts does not
exist when in fact it does. Here's the command line output I got when I
generated the attached new output:

[root@worf ~]# rpm -Uvh sos-1.8-0pre2.el4.noarch.rpm 
Preparing...                ########################################### [100%]
   1:sos                    ########################################### [100%]
[root@worf ~]# rpm -qil sos | less
[root@worf ~]# less /etc/sos.conf
[root@worf ~]# grep sos .bash_history
up2date -i sos
sosreport
sosreport
scp /tmp/sosreport-hsutton-183763-154136.tar.bz2
flukes.gse.mvlabs.corp.hp.com:/root/
[root@worf ~]# sosreport

sosreport (version 1.8)

This utility will collect some detailed  information about the
hardware and  setup of your  Red Hat Enterprise Linux  system.
The information is collected and an archive is  packaged under
/tmp, which you can send to a support representative.
Red Hat will use this information for diagnostic purposes ONLY
and it will be considered confidential information.

This process may take a while to complete.
No changes will be made to your system.

Press ENTER to continue, or CTRL-C to quit.

One or more plugins have detected a problem in your configuration.
Please review the following messages:

ldap:
    * /etc/openldap/cacerts does not exist and can cause connection issues
involving TLS

Are you sure you would like to continue (y/n) ? y

Please enter your first initial and last name [sutton]: hsutton
Please enter the case number that you are generating this report for: 
 Progress [###################100%##################][41:37/41:37]

Creating compressed archive...
Traceback (most recent call last):
  File "/usr/sbin/sosreport", line 867, in ?
    sosreport()
  File "/usr/sbin/sosreport", line 853, in sosreport
    if __cmdLineOpts__.encrypt:
AttributeError: Values instance has no attribute 'encrypt'
[root@worf ~]#
Comment 5 Navid Sheikhol-Eslami 2007-12-10 05:36:14 EST
Thanks Harry, both problems have been fixed in the upstream repository.

-- Navid
Comment 8 RHEL Product and Program Management 2010-10-22 14:50:08 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 9 Jiri Pallich 2012-06-20 09:23:54 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.